## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname pep8-naming
%global srcname_ pep8ext_naming
%global _description \
Check the PEP-8 naming conventions. \
This module provides a plugin for flake8, the Python code checker. \
(It replaces the plugin flint-naming for the flint checker.)


Name:           python-%{srcname}
Version:        0.13.2
Release:        %autorelease
Summary:        Check PEP-8 naming conventions, a plugin for flake8

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source %{srcname}
# This patch is reversed to support flake8 < 5
# https://github.com/PyCQA/pep8-naming/pull/207
Patch:          reversed-207.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%generate_buildrequires
%pyproject_buildrequires -r

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{python3} run_tests.py

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Sun Aug 21 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.13.2-2
- Revert flake8 patch to allow testing with older versions

* Sun Aug 21 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.13.2-1
- Update to latest version (#2119889)

* Sun Jul 31 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.13.1-1
- Update to latest version (#2092963)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.12.1-4
- Rebuilt for Python 3.11

* Sun Jan 30 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.12.1-3
- Add patch for flake8 4 support; fixes rhbz#2046900

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 08 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.12.1-1
- Update to latest version (#1991190)

* Sun Aug 08 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.12.0-4
- Use latest Python macros.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.12.0-1
- Update to latest version (#1979893)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.11.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.1-1
- Update to latest version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.10.0-2
- Rebuilt for Python 3.9

* Sun Mar 22 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.0-1
- Update to latest version

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 09 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.1-1
- Update to latest version

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-12
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-11
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb 27 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-9
- Subpackage python2-pep8-naming has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-6
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Oct 27 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-4
- Use python2- BuildRequires/Requires.
- Add license file to package.

* Wed Oct 25 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-3
- Enable tests during build.
- Simplify spec for Fedora.

* Thu Jun 08 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-2
- Don't build python3-pep8-naming on EL7

* Tue Jun 6 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.4.1-1
- New upstream release

* Tue Feb 16 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> 0.3.3-1
- Initial RPM release

